#! /bin/sh
# jcoder24 2007-4-2

#-------------------------------------
#convert Adobe Distiller ppd to pdq 
#-------------------------------------
cd /usr/local/ppdtopdq
./ppdtopdq /etc/pdq/drivers/ADIST5.PPD > /etc/pdq/drivers/postscript/adobe_distiller
chmod +x /etc/pdq/drivers/postscript/adobe_distiller

#-------------------------------------
#add facility to print images and text 
#-------------------------------------
cd /etc/pdq/drivers/postscript
cp adobe_distiller adobe_distiller.bak

gawk '{if (/filter_exec/) {system("cat /etc/pdq/drivers/extra");print $0;} else {print $0};}' /etc/pdq/drivers/postscript/adobe_distiller.bak > /etc/pdq/drivers/postscript/adobe_distiller

#-------------------------------------
#create default pdf folder and printer
#-------------------------------------
mkdir -p /var/spool/pdfs

if [ `grep -c PDF /etc/pdq/printrc` -eq 0 ]
then
cat >> /etc/pdq/printrc << EOF

printer "pdf-writer" {
        # Added by the puppy pdf printer package
        location "FILE"
        model "PDF"
        driver "Adobe-Acrobat-Distiller-0.1"
        interface "pdf"
        driver_opts { }
        driver_args { }
        interface_opts { }
        interface_args {"FOLDER" = "/var/spool/pdfs"}
}
EOF
fi

#-------------------------------------
#rm files that are no longer needed
#-------------------------------------

rm /etc/pdq/drivers/postscript/adobe_distiller.bak
rm /etc/pdq/drivers/extra
rm /etc/pdq/drivers/ADIST5.PPD
rm -rf /usr/local/ppdtopdq/

